org.apache.poi.hssf.usermodel

## Interface HSSFShapeContainer

- All Superinterfaces:
    java.lang.Iterable<HSSFShape>, ShapeContainer<HSSFShape>
  All Known Implementing Classes:
    HSSFPatriarch, HSSFShapeGroup

      public interface HSSFShapeContainer
      extends ShapeContainer<HSSFShape>

  An interface that indicates whether a class can contain children.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addShape(HSSFShape shape)` add shape to the list of child records
    `void` | `clear()`
    `java.util.List<HSSFShape>` | `getChildren()`
    `int` | `getX1()`
    `int` | `getX2()`
    `int` | `getY1()`
    `int` | `getY2()`
    `boolean` | `removeShape(HSSFShape shape)` remove first level shapes
    `void` | `setCoordinates(int x1, int y1, int x2, int y2)` set coordinates of this group relative to the parent

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### getChildren

          java.util.List<HSSFShape> getChildren()

      Returns:
        Any children contained by this shape.

    - #### addShape

          void addShape(HSSFShape shape)

      add shape to the list of child records
      Parameters:
        `shape` -

    - #### setCoordinates

          void setCoordinates(int x1,
                              int y1,
                              int x2,
                              int y2)

      set coordinates of this group relative to the parent

    - #### clear

          void clear()

    - #### getX1

          int getX1()

      Returns:
        The top left x coordinate of this group.

    - #### getY1

          int getY1()

      Returns:
        The top left y coordinate of this group.

    - #### getX2

          int getX2()

      Returns:
        The bottom right x coordinate of this group.

    - #### getY2

          int getY2()

      Returns:
        The bottom right y coordinate of this group.

    - #### removeShape

          boolean removeShape(HSSFShape shape)

      remove first level shapes
      Parameters:
        `shape` - to be removed
      Returns:
        true if shape is removed else return false

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.